<ion-header no-padding>
  <ion-toolbar color="light">
    <ion-buttons
      size="small"
      (click)="logoutModal()"
      slot="start"
      style="color:#e4e4e4"
      >
      <fa-icon  [icon]="faSignOutAlt" slot="end" padding></fa-icon>
    </ion-buttons>
    <ion-img class="logo" src="../../../assets/images/header.png"></ion-img>
    <ion-buttons size="small" slot="end" style="color:#e4e4e4" (click)="gotoNotification()">
      <fa-icon   [icon]="faBell" slot="end" padding></fa-icon>
      <!-- <ion-badge color="danger" slot="end">{{count}}</ion-badge> -->
    </ion-buttons>
    <div class="segment">
        <ion-segment  color="danger" [(ngModel)]="segments">
            <ion-segment-button value="me" size="small">
                <ion-note>Feeds</ion-note>
            </ion-segment-button>
            <ion-segment-button value="following"  size="small">
                <ion-note>For You</ion-note>
            </ion-segment-button>
        </ion-segment>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen padding-vertical>
 <div [ngSwitch]="segments">
    <div class="pins" *ngSwitchCase="'me'">
        <div
            *ngFor="let po of post$ | async "
            class="pin"
            #container
          >
          <div class="image">
            <img (click)="viewImage(po.id)" [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]="decode(po.image)" [customObservable]="container.ionScrollStart" *ngIf="po.type == 'image'" />
            <!-- <ion-img (click)="viewImage(po.id)" [src]="decode(po.image)" *ngIf="po.type == 'image'"></ion-img> -->
            <video
            *ngIf="po.type == 'video'"
            preload="metadata"
            webkit-playsinline="webkit-playsinline"
            class="videoPlayer"
            (click)="viewImage(po.id)"
          >
            <source [src]="decode(po.image)" type="video/mp4" />
          </video>
          </div>
          </div>
        </div>
  </div>

  <div [ngSwitch]="segments" *ngIf="contentLoaded">
      <div  *ngSwitchCase="'following'">
              <ion-list *ngFor="let fe of feed$ |async">
                  <ion-card  padding-vertical>
                      <ion-item lines="none" class="header_card">
                        <ion-avatar slot="start">
                          <ion-img [src]="decode(fe.post_by.image)"></ion-img>
                        </ion-avatar>
                        <ion-text>{{fe.post_by.fname}}</ion-text>
                      </ion-item>
                          <ion-img  [src]="decode(fe.image)"  *ngIf="fe.type == 'image'" (click)="openImagemodal(fe.image)"></ion-img>
                          <video
                          (click)="openImagemodal(fe.image)"
                          *ngIf="fe.type == 'video'"
                          preload="metadata"
                          controls="controls"
                          webkit-playsinline="webkit-playsinline"
                          class="videoPlayer">
                          <source [src]="decode(fe.image)" type="video/mp4" />
                        </video>
                      <ion-card-content>
                        <p>{{fe.caption}}</p>
                        <p>{{fe.post_by.updated_at | dateAgo}}</p>
                        <ion-note style="font-style:italic;">{{fe.updated_at | date}}</ion-note>
                      </ion-card-content>
                      <ion-grid>
                          <ion-row>
                              <ion-col>
                                <ion-button size="small" fill="clear">
                                    <fa-icon [icon]="download"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
                                </ion-button>
                              </ion-col>
                              <ion-col>
                                  <ion-button size="small" fill="clear" (click)="viewImage(fe.id)">
                                      <fa-icon [icon]="comment"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
                                    </ion-button>
                              </ion-col>
                              <ion-col>
                                  <ion-button size="small" color="danger" shape="round" (click)="viewImage(fe.id)">
                                      Save
                                  </ion-button>
                              </ion-col>
                            </ion-row>
                      </ion-grid>
                    </ion-card>
              </ion-list>
      </div>
    </div>

 <div [ngSwitch]="segments" *ngIf="!contentLoaded">
      <div  *ngSwitchCase="'following'">
        <ion-virtual-scroll [items]="feed$ | async" approxItemHeight="70px">
           <ion-card *virtualItem="let fe" padding-vertical>
               <ion-item lines="none">
                 <ion-avatar slot="start">
                  <ion-skeleton-text animated ></ion-skeleton-text>
                 </ion-avatar>
                 <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
               </ion-item>
                    <img src='../../../assets/images/default.png'/>
               <ion-card-content>
                 <p><ion-skeleton-text animated ></ion-skeleton-text></p>
                 <ion-note style="font-style:italic;"><ion-skeleton-text animated ></ion-skeleton-text></ion-note>
               </ion-card-content>
               <ion-grid>
                <ion-row>
                    <ion-col>
                      <ion-button size="small" fill="clear">
                          <fa-icon [icon]="download"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
                      </ion-button>
                    </ion-col>
                    <ion-col>
                        <ion-button size="small" fill="clear" (click)="viewImage(fe.id)">
                            <fa-icon [icon]="comment"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
                          </ion-button>
                    </ion-col>
                    <ion-col>
                        <ion-button size="small" color="danger" shape="round" (click)="viewImage(fe.id)">
                            Save
                        </ion-button>
                    </ion-col>
                  </ion-row>
            </ion-grid>
             </ion-card>
        </ion-virtual-scroll>
      </div>
    </div>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button  color="primary">
        <ion-icon name="arrow-dropup"></ion-icon>
      </ion-fab-button >
      <ion-fab-list side="top">
        <ion-fab-button color="light" (click)="postImage()">
          <ion-icon name="image"></ion-icon>
        </ion-fab-button>
        <!-- <ion-fab-button color="light"  (click)="postVideo()">
          <ion-icon name="videocam"></ion-icon>
        </ion-fab-button> -->
        <ion-fab-button color="light" (click)="createBoard()">
          <ion-icon name="albums"></ion-icon>
        </ion-fab-button>
      </ion-fab-list>
    </ion-fab>
</ion-content>
